#!/usr/bin/make -f

%:
	dh $@

JAVAC=javac -source 1.7 -target 1.7
JAVAFLAGS=-encoding utf8
JAR=jar
JAVADOC=javadoc

JAVACLASSES=/usr/share/java
JAVAFLAGS+=-classpath $(JAVACLASSES)/commons-io.jar:$(JAVACLASSES)/fop.jar:$(JAVACLASSES)/xalan2.jar:$(JAVACLASSES)/jaxe.jar:$(JAVACLASSES)/jazzy.jar:$(JAVACLASSES)/jhall.jar:$(JAVACLASSES)/jing.jar:$(JAVACLASSES)/jodconverter.jar:$(JAVACLASSES)/joptsimple.jar:$(JAVACLASSES)/juh.jar:$(JAVACLASSES)/jurt.jar:$(JAVACLASSES)/log4j-1.2.jar:$(JAVACLASSES)/ridl.jar:$(JAVACLASSES)/saxonb.jar:$(JAVACLASSES)/saxon-dom.jar$(JAVACLASSES)/slf4j-api.jar:$(JAVACLASSES)/slf4j-jdk14.jar:/usr/lib/libreoffice/program/classes/unoil.jar:$(JAVACLASSES)/xstream.jar:$(JAVACLASSES)/writer2latex.jar:$(JAVACLASSES)/jeuclid-core.jar

JARFILE=nat.jar

override_dh_auto_build:
	$(JAVAC) $(JAVAFLAGS) `find gestionnaires nat outils ui org -name \*.java`

	$(JAR) c `find . -name \*.class` > $(JARFILE)

	LC_ALL=C $(JAVADOC) $(JAVAFLAGS) -notimestamp -encoding utf8 -d api `find gestionnaires nat outils ui org -name \*.java`

override_dh_auto_clean:
	rm -f `find . -name \*.class`
	rm -f $(JARFILE)
	rm -fr api
	rm -f test.txt
	rm -f nat-gui.conf-initial
	rm -fr .nat-braille

override_dh_auto_test:
	ln -sf debian/nat-gui.conf-test nat-gui.conf-initial
	for i in documents/test*.odt ; do \
		[ $$i = documents/testSautPage.odt ] && continue ; \
		[ $$i = documents/testStyles-openoffice.odt ] && continue ; \
		[ $$i = documents/testTableaux.odt ] && continue ; \
		rm -f test.txt ; \
		HOME=$(CURDIR) $(CURDIR)/debian/bin/natbraille-test -f $(CURDIR)/$$i -t $(CURDIR)/test.txt ; \
		test -f test.txt || exit 1 ; \
		diff -u debian/testresults/$$i.txt test.txt || exit 1 ; \
	done

override_dh_auto_install:
	#$(MAKE) DESTDIR=$(CURDIR)/debian/natbraille install
